Extending Qt Creator Manual | CPlusPlus Namespace

Extending Qt Creator Manual 4.5.2

# CPlusPlus Namespace

Header: | #include <CPlusPlus>

## Namespaces

namespace | Internal

## Classes

class | ASTParent
class | ASTPath
class | AlreadyConsideredClassContainer
class | BackwardsScanner
class | ByteArrayRef
class | ClassOrNamespace
class | Client
class | CppModelManagerBase
class | CreateBindings
class | DependencyTable
class | DeprecatedGenTemplateInstance
class | Document
class | Environment
class | ExpressionUnderCursor
class | FastPreprocessor
class | FindCdbBreakpoint
class | FindUsages
class | Icons
class | LookupContext
class | LookupItem
class | Macro
class | MacroArgumentReference
class | MatchingText
class | NamePrettyPrinter
class | Overview
class | OverviewModel
class | Preprocessor
class | ResolveExpression
class | SimpleLexer
class | Snapshot
class | SnapshotSymbolVisitor
class | Substitution
class | SubstitutionEnvironment
class | SubstitutionMap
class | SymbolNameVisitor
class | TypeOfExpression
class | TypePrettyPrinter
class | Usage
class | UseMinimalNames
class | UseQualifiedNames
class | pp_skip_argument
class | pp_skip_blanks
class | pp_skip_char_literal
class | pp_skip_comment_or_divop
class | pp_skip_identifier
class | pp_skip_number
class | pp_skip_string_literal
class | pp_skip_whitespaces

## Types

typedef | Tokens

## Functions

uint | qHash(const CPlusPlus::LookupItem &result)
bool | operator!=(const QByteArray &other, const ByteArrayRef &ref)
bool | operator==(const QByteArray &other, const ByteArrayRef &ref)

## Detailed Description

The namespace for C++ related tools.

## Namespaces

### namespace CPlusPlus::Internal

## Classes

### class ASTParent

### class ASTPath

### class AlreadyConsideredClassContainer

### class BackwardsScanner

### class ByteArrayRef

### class ClassOrNamespace

### class Client

The Client class implements a notification interface for the C++ preprocessor. More...

### class CppModelManagerBase

### class CreateBindings

### class DependencyTable

### class DeprecatedGenTemplateInstance

### class Document

### class Environment

### class ExpressionUnderCursor

### class FastPreprocessor

### class FindCdbBreakpoint

### class FindUsages

### class Icons

### class LookupContext

### class LookupItem

### class Macro

### class MacroArgumentReference

### class MatchingText

### class NamePrettyPrinter

### class Overview

The Overview class converts a FullySpecifiedType and/or any qualified name to its string representation. More...

### class OverviewModel

### class Preprocessor

### class ResolveExpression

### class SimpleLexer

### class Snapshot

### class SnapshotSymbolVisitor

### class Substitution

### class SubstitutionEnvironment

### class SubstitutionMap

### class SymbolNameVisitor

### class TypeOfExpression

### class TypePrettyPrinter

The TypePrettyPrinter class is a helper class for the Overview class. This class does the main type conversion work. More...

### class Usage

### class UseMinimalNames

### class UseQualifiedNames

### class pp_skip_argument

### class pp_skip_blanks

### class pp_skip_char_literal

### class pp_skip_comment_or_divop

### class pp_skip_identifier

### class pp_skip_number

### class pp_skip_string_literal

### class pp_skip_whitespaces

## Type Documentation

### typedef CPlusPlus::Tokens

## Function Documentation

### uint CPlusPlus::qHash(const CPlusPlus::LookupItem &result)

### bool CPlusPlus::operator!=(const QByteArray &other, const ByteArrayRef &ref)

### bool CPlusPlus::operator==(const QByteArray &other, const ByteArrayRef &ref)